summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Philip Lacroix2021-02-19 22:16:55 +0100
committer Willy Sudiarto Raharjo2021-02-20 18:05:01 +0100
commit6dd46eeec617fd13e8368e94bfbf9f6b213a1135 (patch)
tree416fa50c760fc619a51707df92b0c53017d0f3d5
parentb403229b03d30d653a9ab151f67db9447e177926 (diff)
downloadslackbuilds-6dd46eeec617fd13e8368e94bfbf9f6b213a1135.tar.gz
graphics/plotutils: Rebuilt.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/plotutils/README18
-rw-r--r--graphics/plotutils/plotutils-2.6-libpng-1.6.patch (renamed from graphics/plotutils/plotutils-2.6-libpng-1.5.patch)2
-rw-r--r--graphics/plotutils/plotutils.SlackBuild63
-rw-r--r--graphics/plotutils/plotutils.info4
-rw-r--r--graphics/plotutils/slack-desc2
5 files changed, 53 insertions, 36 deletions
diff --git a/graphics/plotutils/README b/graphics/plotutils/README
index a6d56c5df6..ec7424f2f3 100644
--- a/graphics/plotutils/README
+++ b/graphics/plotutils/README
@@ -1,16 +1,18 @@
-GNU plotutils contains software for both programmers and technical users.
-Its centerpiece is libplot, a powerful C/C++ function library for exporting
-2-D vector graphics in many file formats, both vector and raster. It can
-also do vector graphics animations. libplot is device-independent in the
-sense that its API does not depend on the type of graphics file to be exported.
+GNU plotutils contains software for both programmers and technical
+users. Its centerpiece is libplot, a powerful C/C++ function library for
+exporting 2-D vector graphics in many file formats, both vector and
+raster. It can also do vector graphics animations. libplot is
+device-independent in the sense that its API does not depend on the type
+of graphics file to be exported.
-Besides libplot, the package contains command-line programs for plotting
+Besides libplot, the package contains command-line programs for plotting
scientific data. Many of them use libplot to export graphics.
-Other ./configure options that you may want to add (provided you install
+Other ./configure options that you may want to add (provided you install
the required fonts):
---enable-ps-fonts-in-pcl enable use of PS fonts in PCL and HP-GL/2 output
+--enable-ps-fonts-in-pcl enable use of PS fonts in PCL and HP-GL/2
+ output
--enable-lj-fonts-in-ps enable use of LaserJet fonts in PS output
--enable-lj-fonts-in-x enable use of LaserJet fonts on X displays
diff --git a/graphics/plotutils/plotutils-2.6-libpng-1.5.patch b/graphics/plotutils/plotutils-2.6-libpng-1.6.patch
index 8a10d19e56..835ea44932 100644
--- a/graphics/plotutils/plotutils-2.6-libpng-1.5.patch
+++ b/graphics/plotutils/plotutils-2.6-libpng-1.6.patch
@@ -1,4 +1,4 @@
-fix building with libpng-1.5
+fix building with libpng-1.6
--- libplot/z_write.c
+++ libplot/z_write.c
diff --git a/graphics/plotutils/plotutils.SlackBuild b/graphics/plotutils/plotutils.SlackBuild
index 9f769eaaa7..897f84f343 100644
--- a/graphics/plotutils/plotutils.SlackBuild
+++ b/graphics/plotutils/plotutils.SlackBuild
@@ -1,17 +1,35 @@
#!/bin/sh
-# Slackware build script for plotutils
-
-# Written by Luis Henrique <lmello.009@gmail.com>
+# Slackware build script for GNU plotutils
+
+# Originally written by Luis Henrique <lmello dot 009 at gmail dot com>
+# Currently maintained by Philip Lacroix <slackph at posteo dot de>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=plotutils
VERSION=${VERSION:-2.6}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -22,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -46,25 +64,22 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Fix build with libpng16 (-current) (patch from Arch Linux)
-patch -p0 < $CWD/plotutils-2.6-libpng-1.5.patch
+# Fix build with libpng 1.6 (patch from Arch Linux)
+patch -p0 < $CWD/plotutils-2.6-libpng-1.6.patch
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
--libdir=/usr/lib$LIBDIRSUFFIX \
--mandir=/usr/man \
--infodir=/usr/info \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --htmldir=/usr/doc/$PRGNAM-$VERSION/html \
--enable-static=no \
--enable-shared=yes \
--enable-libplotter \
@@ -73,19 +88,19 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i
+done
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
-DOCS="AUTHORS COMPAT COPYING ChangeLog INSTALL INSTALL.fonts INSTALL.pkg \
- KNOWN_BUGS NEWS ONEWS PROBLEMS README THANKS TODO"
+DOCS="AUTHORS COMPAT COPYING INSTALL INSTALL.fonts INSTALL.pkg KNOWN_BUGS \
+ NEWS ONEWS PROBLEMS README THANKS TODO"
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/graphics/plotutils/plotutils.info b/graphics/plotutils/plotutils.info
index 57c573515f..d989daf4d7 100644
--- a/graphics/plotutils/plotutils.info
+++ b/graphics/plotutils/plotutils.info
@@ -1,7 +1,7 @@
PRGNAM="plotutils"
VERSION="2.6"
-HOMEPAGE="http://www.gnu.org/software/plotutils"
-DOWNLOAD="http://mirrors.kernel.org/gnu/plotutils/plotutils-2.6.tar.gz"
+HOMEPAGE="https://www.gnu.org/software/plotutils"
+DOWNLOAD="https://ftpmirror.gnu.org/plotutils/plotutils-2.6.tar.gz"
MD5SUM="c08a424bd2438c80a786a7f4b5bb6a40"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
diff --git a/graphics/plotutils/slack-desc b/graphics/plotutils/slack-desc
index 0b6251b862..1ec9c19a6c 100644
--- a/graphics/plotutils/slack-desc
+++ b/graphics/plotutils/slack-desc
@@ -14,6 +14,6 @@ plotutils: function library for exporting 2-D vector graphics in many file
plotutils: formats, both vector and raster. It can also do vector graphics
plotutils: animations.
plotutils:
-plotutils: Homepage: http://www.gnu.org/software/plotutils
+plotutils: Homepage: https://www.gnu.org/software/plotutils
plotutils:
plotutils: